Video Search
curl --request GET \
--url https://scrapebadger.com/v1/duckduckgo/videos \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/duckduckgo/videos"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/duckduckgo/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"region": "<string>",
"results": [
{
"title": "<string>",
"content": "<string>",
"description": "<string>",
"duration": "<string>",
"publisher": "<string>",
"uploader": "<string>",
"published_at": "<string>",
"view_count": 123,
"images": {},
"embed_url": "<string>"
}
],
"result_count": 123,
"has_next": true
}Search
Video Search
Search DuckDuckGo videos — title, publisher, uploader, duration, views, thumbnails.
GET
/
v1
/
duckduckgo
/
videos
Video Search
Search DuckDuckGo videos. 60 results per page.
Credits: 5
Authorization
string
required
Your ScrapeBadger API key.
Query Parameters
string
required
Search query, e.g.
python tutorial.string
default:"wt-wt"
DuckDuckGo region code (
kl), e.g. us-en. wt-wt = all regions.string
default:"moderate"
One of
on, moderate, off.integer
default:"1"
Result page,
1–10. 60 results per page.string
short, medium or long.string
high or standard.Response
string
Echo of the requested query.
string
The region that was applied.
VideoResult[]
integer
Results on this page.
boolean
Page on this.
Example
curl "https://scrapebadger.com/v1/duckduckgo/videos?query=python+tutorial&duration=long" \
-H "X-API-Key: YOUR_API_KEY"
const res = await fetch(
"https://scrapebadger.com/v1/duckduckgo/videos?" +
new URLSearchParams({
query: "python tutorial",
duration: "long",
}),
{ headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY } },
);
const data = await res.json();
import requests
res = requests.get(
"https://scrapebadger.com/v1/duckduckgo/videos",
headers={"X-API-Key": "YOUR_API_KEY"},
params={
"query": "python tutorial",
"duration": "long",
},
)
data = res.json()
Response
{
"query": "python tutorial",
"region": "wt-wt",
"results": [
{
"title": "Python Full Course for Beginners",
"content": "https://www.youtube.com/watch?v=abc123",
"description": "Learn Python from scratch in this complete course...",
"duration": "4:26:52",
"publisher": "YouTube",
"uploader": "Programming with Mosh",
"published_at": "2026-01-15T14:00:00.0000000",
"view_count": 12345678,
"images": {
"small": "https://tse1.mm.bing.net/th?id=OVP.small",
"medium": "https://tse1.mm.bing.net/th?id=OVP.medium",
"large": "https://tse1.mm.bing.net/th?id=OVP.large"
},
"embed_url": "https://www.youtube.com/embed/abc123"
}
],
"result_count": 60,
"has_next": true
}
⌘I

